import { baseUrl, apiPath } from '@/sheep/config';
import request from '@/sheep/request';
const FileApi = {
  // 上传文件
  uploadFile: (file) => {
    // TODO 非繁人：访问令牌的接入；
    const token = uni.getStorageSync('token');
    uni.showLoading({
      title: '上传中',
    });
    return new Promise((resolve, reject) => {
      uni.uploadFile({
        url: baseUrl + apiPath + '/infra/file/upload',
        filePath: file,
        name: 'file',
        header: {
          // Accept: 'text/json',
          Accept : '*/*',
          'tenant-id' :'1',
          // Authorization:  'Bearer test247',
        },
        success: (uploadFileRes) => {
          let result = JSON.parse(uploadFileRes.data);
          if (result.error === 1) {
            uni.showToast({
              icon: 'none',
              title: result.msg,
            });
          } else {
            return resolve(result);
          }
        },
        fail: (error) => {
          console.log('上传失败：', error);
          return resolve(false);
        },
        complete: () => {
          uni.hideLoading();
        },
      });
    });
  },
  // 通过图片url获得文件流
  getFileIO: async (fileUrl) => {
	const response = await fetch(import.meta.env.SHOPRO_BASE_URL+'/app-api/infra/file/downloadByUrl?fileUrl='+fileUrl, {
	  method: 'GET', 
	})
	if (!response.ok) {
	  throw new Error('网络响应不是OK状态');
	}
	const blob = await response.blob();
	return blob;

  },
  
};

export default FileApi;
